# H248_Signal Class Reference

`#include <h248.h>`

Inheritance diagram for H248_Signal:

List of all members.

## Public Types

enum | OptionalFields { e_streamID, e_sigType, e_duration, e_notifyCompletion, e_keepActive }

## Public Member Functions

| H248_Signal (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H248_SignalName | m_signalName
H248_StreamID | m_streamID
H248_SignalType | m_sigType
PASN_Integer | m_duration
H248_NotifyCompletion | m_notifyCompletion
PASN_Boolean | m_keepActive
H248_ArrayOf_SigParameter | m_sigParList

## Member Enumeration Documentation

enum H248_Signal::OptionalFields

Enumerator:

  e_streamID |
  e_sigType |
  e_duration |
  e_notifyCompletion |
  e_keepActive |

## Constructor & Destructor Documentation

H248_Signal::H248_Signal | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H248_Signal::GetDataLength | ( |  | ) | const

PBoolean H248_Signal::Decode | ( | PASN_Stream & | strm | ) |

void H248_Signal::Encode | ( | PASN_Stream & | strm | ) | const

void H248_Signal::PrintOn | ( | ostream & | strm | ) | const

Comparison H248_Signal::Compare | ( | const PObject & | obj | ) | const

PObject* H248_Signal::Clone | ( |  | ) | const

## Member Data Documentation

H248_SignalName H248_Signal::m_signalName

H248_StreamID H248_Signal::m_streamID

H248_SignalType H248_Signal::m_sigType

PASN_Integer H248_Signal::m_duration

H248_NotifyCompletion H248_Signal::m_notifyCompletion

PASN_Boolean H248_Signal::m_keepActive

H248_ArrayOf_SigParameter H248_Signal::m_sigParList

The documentation for this class was generated from the following file:

- h248.h